#

#  This script is for the LMH Linguistic Stimuli only.

#



# n = number of cents to change stimulus by; from -300 to 300 step 20

n = -300



repeat 

	# open the original file Laura recorded for pitch manipulation

	Read from file... E:\Music_Language\ling_stim\originals\LMH1.wav

	To Manipulation... 0.01 50 600

	select Sound LMH1

	Remove

	select Manipulation LMH1

	Extract pitch tier

	

	# scalefactor = 1 / ncols in the dynamic range between pitch levels

	# this is essentially a % of how much to displace each pitch point 

	# between the unchanged portion and the middle syllable target region

	scalefactor = 1/26

	for mycol from 27 to 51

		Formula... if (col = mycol) then self * 2^((scalefactor * n) / 1200) else self fi 

		scalefactor = scalefactor + (1/26)

	endfor

	

	# change the pitch of the middle syllable target region

	Formula... if (col > 51 and col < 65) then self * 2^(n / 1200) else self fi 

	

	# return scalefactor to 1, so we can reduce the pitch by successively smaller fractions

	scalefactor = 1

	for mycol from 65 to 75

		# minus number of 1 / ncols in the upward transition region.

		scalefactor = scalefactor - (1/12)

		Formula... if (col = mycol) then self * 2^((scalefactor * n) / 1200) else self fi 

	endfor

	

	# resynthesize the sound with the new pitch tier

	select Manipulation LMH1

	plus PitchTier untitled

	Replace pitch tier

	select Manipulation LMH1

	Get resynthesis (PSOLA)

	

	# write the output sound file and clean up

	outputdir$ = "E:\Music_Language\ling_stim\"

	outputname$ = outputdir$ + "Lg_LMH1_" + "'n'" + ".wav"



	select Sound LMH1

	Write to WAV file... 'outputname$'



	select Sound LMH1

	Remove

	select Manipulation LMH1

	Remove

	select PitchTier untitled

	Remove

		

	# move to the next manipulation (20 cents up) and repeat.

	n = n + 20



until n > 300